#ifndef ROUTING_INTERFACE_H
#define	ROUTING_INTERFACE_H

#ifdef	__cplusplus
extern "C" {
#endif

	int routing_load();
	void routing_unload();
	void routing_print(int fd);
	void routing_find_incoming(char *buf, size_t len, const char *interface, const char *number);
	void routing_find_incoming_rev(char *buf, size_t len, const char *interface, const char *number);
	void routing_find_outgoing(char *buf, size_t len, const char *routeId, const char *number);
	void routing_hidden(char *buf, size_t len, const char *routeId, const char *number);

#ifdef	__cplusplus
}
#endif

#endif	/* ROUTING_INTERFACE_H */
