#ifndef BLACKLIST_H
#define	BLACKLIST_H

#include "Common.h"

class Blacklist {
private:

	struct BlacklistCacheItem {
		std::string expression;
		boost::regex re;
	};
	typedef std::vector<BlacklistCacheItem> BlacklistCache;
	BlacklistCache blacklistCache;

	int lastTimestamp;

	void load();
public:
	Blacklist();
	~Blacklist();
	void print(const int fd);
	int match(const std::string &number);
};

#endif	/* BLACKLIST_H */
